Attribute VB_Name = "Xml"
Public lobjXMLDoc As New DOMDocument30
Public lobjNodesList
Public myFields As Integer
Public Plugcount

Public Sub LoadMvf(tfile)
On Error GoTo err1
myFields = 3
lobjXMLDoc.async = False
lobjXMLDoc.Load tfile
lintCtr = 0
lstrSelect = "mapview/struct"
Set lobjNodesList = lobjXMLDoc.selectNodes(lstrSelect)

MVname = lobjNodesList.Item(0).childNodes(0).Text
MVfile = lobjNodesList.Item(0).childNodes(1).Text
MVwidth = lobjNodesList.Item(0).childNodes(2).Text
MVheight = lobjNodesList.Item(0).childNodes(3).Text
MVoffsetX = lobjNodesList.Item(0).childNodes(4).Text
MVoffsetY = lobjNodesList.Item(0).childNodes(5).Text

Exit Sub
err1:
MsgBox "Error Loading DataBase File"
End

End Sub

